/*
 * Copyright (c) 2012-2013 Mario Guerriero <mefrio.g@gmail.com>
 *
 * This is a free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; see the file COPYING.  If not,
 * write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 */

namespace AppStore {
    
    internal PackageKit.Bitfield common_filter;
    internal bool quiet_mode = false;
    
    internal void message_log (string message, GLib.LogLevelFlags level_flag = GLib.LogLevelFlags.LEVEL_WARNING) {
        if (!quiet_mode)
            log ("libappstore", level_flag, message);
    }
    
    public void set_quiet_mode (bool quiet) {
        quiet_mode = quiet;
    }
    
    public void init () {
        if (!Thread.supported ())
            message_log ("Problem initializing thread support.", GLib.LogLevelFlags.LEVEL_ERROR);
        
        // Filters
        common_filter = PackageKit.filter_bitfield_from_string ("installed:~not-installed");
    }
}
